Opened 2 months ago

Last modified 10 days ago

#3511 new bug

deluged server doesnt start ubuntu 18.04.06

Reported by: granjerox Owned by:
Priority: critical Milestone: needs verified
Component: Core Version: develop
Keywords: libtorrent daemon server dependencies Cc:

Description

Deluged daemon fails to start on ubuntu 18.04.06

deluged: 2.1.1~dev7698+5acb57b5a-202203021432~ubuntu18.04.1

python-libtorrent: 1.1.12+daily8918+760f948+202003250209~ubuntu18.04.1

python3-libtorrent: 1.2.15~daily10744+019fcc32b-202202200724~ubuntu18.04.1

python --version && python3 --version Python 2.7.17 Python 3.6.9

/usr/bin/deluged -d -l /var/log/deluged/daemon.log -L info

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 21, in <module>
    import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 24, in <module>
    import libtorrent as lt
ModuleNotFoundError: No module named 'libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/deluged", line 11, in <module>
    load_entry_point('deluge==2.1.1.dev7698', 'gui_scripts', 'deluged')()
  File "/usr/lib/python3/dist-packages/deluge/core/daemon_entry.py", line 87, in start_daemon
    from deluge.core.daemon import is_daemon_running
  File "/usr/lib/python3/dist-packages/deluge/core/daemon.py", line 19, in <module>
    from deluge.core.core import Core
  File "/usr/lib/python3/dist-packages/deluge/core/core.py", line 26, in <module>
    from deluge._libtorrent import LT_VERSION, lt
  File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 26, in <module>
    raise LibtorrentImportError('No libtorrent library found: %s' % (ex))
deluge.error.LibtorrentImportError: No libtorrent library found: No module named 'libtorrent'

sudo systemctl status deluged

● deluged.service - Deluge Bittorrent Client Daemon
   Loaded: loaded (/etc/systemd/system/deluged.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Wed 2022-03-09 14:16:48 CET; 23min ago
     Docs: man:deluged
  Process: 2941 ExecStart=/usr/bin/deluged -d -l /var/log/deluged/daemon.log -L info (code=exited, status=1/FAILURE)
 Main PID: 2941 (code=exited, status=1/FAILURE)

mar 09 14:16:47 nuc systemd[1]: deluged.service: Main process exited, code=exited, status=1/FAILURE
mar 09 14:16:47 nuc systemd[1]: deluged.service: Failed with result 'exit-code'.
mar 09 14:16:48 nuc systemd[1]: deluged.service: Service hold-off time over, scheduling restart.
mar 09 14:16:48 nuc systemd[1]: deluged.service: Scheduled restart job, restart counter is at 5.
mar 09 14:16:48 nuc systemd[1]: Stopped Deluge Bittorrent Client Daemon.
mar 09 14:16:48 nuc systemd[1]: deluged.service: Start request repeated too quickly.
mar 09 14:16:48 nuc systemd[1]: deluged.service: Failed with result 'exit-code'.
mar 09 14:16:48 nuc systemd[1]: Failed to start Deluge Bittorrent Client Daemon.

Change History (2)

comment:1 Changed 2 weeks ago by DjLegolas

As you can see, python fails to find libtorrent...
Can you please run python3 -c "import libtorrent; print(libtorrent.version)"?

comment:2 Changed 10 days ago by granjerox

Thanks for your answer but i've recently reinstalled/upgraded my server OS to Ubuntu 22.04 so I can't run that test.

Anyway:

Note: See TracTickets for help on using tickets.